Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [linux]

Linux is a Unix-like computer operating system assembled under the model of free and open source software development and distribution.

0
votes
0answers
11 views

Installing Psycopg2 module on linux server trough Cpanel [on hold]

I'm trying to get Psycopg2 installed on a remote server (AcuGIS) through Cpanel but I don't have root access. I found this documentation on installing the module, but can't seem to figure out how to ...
0
votes
0answers
15 views

SUMO Network to QGIS

I'm trying to import an XML network into QGIS which I got from using SUMO's OSM Web Wizard tool. The process that I'm looking to follow is documented here under the "(Q)GIS" section. The following ...
0
votes
1answer
36 views

Raspbian QGIS 3.x Install

I'm trying to install QGIS 3.x on Raspbian Stretch with Desktop - I successfully installed QGIS 2.x using the QGIS sources as described in their install instructions. I found this build-from-source ...
0
votes
0answers
24 views

Georeferencing via GDAL

Plugin GDAL didn't work on my qgis 2.18.17. I'm working on linux mint 19 Installed version : Version 3.1.9 (dans /usr/lib/qgis/plugins/libgeorefplugin.so) How i can change the version of GDAL?
1
vote
1answer
22 views

How do I start a MapProxy Instance in the background?

I use the following command in linux with an "&" hoping to be able to close that putty session but "&" doesn't seem to work with this command : sudo mapproxy-util serve-develop mapproxy.yaml -...
1
vote
0answers
79 views

QGIS 3.6 menu bar missing [closed]

I am running Ubuntu 18.04 with the XFCE interface and QGIS v3.6. When I start QGIS the menu bar at the top of the window is missing, and I can't find any way to bring it back. I found some solutions ...
1
vote
1answer
29 views

OpenDroneMap returns error on merging depthmaps?

I am doing a reconstruction on 424 Parrot Sequoia RGB images using OpenDroneMap. The reconstruction runs for about 2 hours then throws the error shown below. I have successfully done several ...
2
votes
0answers
74 views

What am I missing to get GRASS 7.6 tools to run in QGIS 3.4.4 Processing (linux)? [closed]

I can't seem to get any GRASS 7.6.0 algorithms to run inside QGIS 3.4.4 Processing toolbox on Arch Linux (kernel 4.20.8). I have GRASS installed at /opt/grass. Launches fine standalone with tools ...
3
votes
2answers
108 views

Call QGIS geoprocessing tools from command line (terminal, bash-script)

Is there any possibility to call tools found in the QGIS processing toolbox from the command line, other than using python? It is my understanding that if you use any GDAL tools, the QGIS gui is ...
3
votes
2answers
98 views

QGIS 2.18 won't start up

Reinstalling QGIS on Linux Mint? Most of my recent troubles are documented in the thread above, and I wasn't sure if I should just post this there. But here I am. It just stopped working. It won't ...
1
vote
1answer
206 views

Installing shapely on Linux?

I am beginner in Linux. I have a problem to use Shapely 1.6.4 post2... I installed shapely by this command: $ pip install shapely and it worked good Collecting shapely Using cached https://files....
0
votes
0answers
79 views

Error using gdal_calc.py with gdal 2.2.1 on linux (undefined symbol: GDALCreateDriver)

My gdal libraries work properly with any other function used. However, using gdal_calc.py I run into troubles. I use gdal from the shell (linux) with this command: gdal_calc.py -A /somepath/somefile....
2
votes
0answers
49 views

Seeking UNIX alternative for ArcMap Union with good performance?

I've been trying to create a union* of two shapefiles using a Unix-based approach. So far without success. My two shapefiles can be found here. The process using Union (analysis) takes ...
2
votes
1answer
45 views

Install PROJ 5 on Linux without compiling

I would like to try PROJ 5 to understand if it solves some issues with version 4. The documentation states the following regarding Linux: How to install PROJ on Linux depends on which distribution ...
2
votes
0answers
73 views

GeoPDF viewer for Linux OS

Is there a GeoPDF viewer for Linux / Fedora? Or ... is there some simple cartopy / mpl / gdal code that will display GeoPDF? FYI, here's a browser for US Topo GeoPDF files: https://viewer....
2
votes
0answers
412 views

PostgreSQL and PostGIS install on RHEL server

I am trying to install both PostgreSQL and the PostGIS extension onto my RedHat Linux server. I have been able to install PostgreSQL with the yum installation however I cannot install PostGIS this way ...
2
votes
0answers
350 views

How to install filegdb driver with GDAL in linux?

I have been working on GDAL with windows platform but now I require to shift to linux. I have installed GDAL using apt-get install gdal-bin libgdal-dev pip3 install GDAL Now i require support for ...
1
vote
1answer
188 views

Mapnik + postgresql + python = Segmentation fault

I would like to render subset of OpenStreetMap features over big area into one image, no sub-tiles. System: Devuan ascii 64bit (alike Debian 9), 64GB RAM, headless (SSH only) There is what I already ...
0
votes
0answers
63 views

Clip raster with shapefile won't work without reprojection (Linux)

So as the title suggests, I am trying to clip an image (UTM) using the OSM land polygon shapefile (WGS 84). I use gdal_rasterize to do that and when I do it on a windows machine it works flawlessly ...
2
votes
2answers
208 views

Reprojecting LiDAR data with libLAS error: “x scale and offset combination is insufficient to represent the data”

Disclaimer: This is a duplicate of this, a question without an answer. This is not, however, a duplicate of this, as it is a different error. I have a LAS file projected in EPSG:32636, and I need to ...
0
votes
0answers
73 views

QGIS 3.2 compile error on Slackware 64 current

I am trying to compile QGIS 3.2.1 on a Slackware 64 current. I have already compiled QGIS 3.0.2 successfully. Now I am getting this error near the beginning of the compilation process: qgis-3.2.1/src/...
1
vote
0answers
1k views

GDAL 2.3.1 is installed but the llinux terminal is using GDAL 2.2.2

I asked this question before realising this site existed: https://stackoverflow.com/questions/51476826/gdal-2-3-1-is-installed-but-the-llinux-terminal-is-using-gdal-2-2-2 I've installed GDAL 2.3.1 ...
3
votes
2answers
3k views

Cannot create PostGIS extension with Ubuntu 18.04

I am a few days new to Linux Ubuntu and am in the process of setting up a PostGIS database to use in GeoDjango. I am going to post all my commands that I have done so far these are installed in ...
0
votes
1answer
165 views

QGIS not available in Pop! Linux repo so how do I install it

It seems the syntax of Pop! OS is such that I can't search this site or google without it being confused as pop up. It is a scientific based development friendly OS based on Ubuntu. However you can't ...
0
votes
0answers
49 views

File VERSION or include/CGAL/version.h are missing, required by release-build

I'm trying to compile CGAL libraries on fedora 27 but when I compile them using cmake ,it show's the following message: CMake Error: Unable to open check cache file for write. /home/xx/Documents/...
1
vote
1answer
36 views

Import Shapefile to GDB. OGR2OGR FGDB Driver bug(?) on CentOS 7

I used ogr2ogr to convert shapefiles to fgdb feature classes. I have like 10 of shapefiles so I imported the folder (input as a folder directory) and converted to FGDB This is the code I used ogr2ogr ...
2
votes
1answer
314 views

Import Processing Toolbox in PyQGIS 3.0

I am trying to import processing toolbox in my standalone PyQGIS application. But I am in trouble. I follow this instruction: Importing QGIS Processing in stand-alone python script? and this Using ...
2
votes
0answers
171 views

Where does QGIS Plugin “Customize Toolbar” save its changes?

Where does the qgis plugin Cutomize Toolbar save its changes in the system? Operating Systems are Linux and Windows.
2
votes
0answers
194 views

“Geotag and Import Photos” Paths needed for settings

Running linux ementary OS 0.4.1 Loki QGIS 2.18.16 trying to use "Geotag and Import Photos" and can not find the path and the .exe path here is what I have done: Download: downloaded from ...
1
vote
1answer
92 views

How to install contour plugin for QGIS Wien on Linux mint?

When trying to install install contour plugin for QGIS Wien on Linux mint I get error "The contour plugin is disabled as it requires python modules numpy, matplotlib, and shapely which are not all ...
0
votes
0answers
47 views

gnuplot in GRASS GIS

Does somebody know how to make gnuplot visible in console? I would like to use some GRASS GIS commands and create plots, for example using i.spectral, but it does not see the gnuplot installed.
1
vote
0answers
53 views

Layers getting delinked every time project closes

I have a QGIS file with about 10 layers (shape files, web and a joined csv). Every time I close the file and open it, all layers are unlinked and the 'Handle Bad Layers' dialog appears. Needless to ...
4
votes
3answers
2k views

Error when installing QGIS 2.x and 3.0 on Ubuntu 16.04 and Ubuntu 17.10

I am attempting to install QGIS 3.0 on Ubuntu 16.04 and am failing. Outlined below are the steps I've taken to install and troubleshoot this failure. If anyone has any tips on how to troubleshoot this ...
1
vote
0answers
223 views

Open source convert .idb .mdb database

Is there a way to convert a geodatabase (ArcGIS Geodatabase Version 9 according to their website) to other formats such as shapefiles / geopackage for feature layers and geotiff for rasters using a ...
1
vote
1answer
215 views

Installing QGIS on Ubuntu xenial - QGIS nightly repo?

I'm having major problems installing QGIS3 on my Ubuntu 16.04 system... I followed a recently posted answer. Even after adding the deb qgis.org xxx line to /etc/apt/sources.list, the only thing it ...
0
votes
1answer
447 views

GRASS GIS 7.4 in Linux for command line usage - setting up environment (.bashrc file)

I need to use GGRAS GIS 7.4.0 on Linux server (Debian 8.10 Jessie) via command line (with flag --exec) and I'm still having troubles with it. Description: I compile and install GRASS GIS 7.4.0 with ...
3
votes
1answer
45 views

Change column to row using awk inside of GRASS command [closed]

I have 2000+ raster files and counting their statistics. For now I am exporting all to Excel, but to work on it, I need better segregation. My output: Name1 1 123 2 243 3 455 Name2 1 432 3 655 ...
0
votes
2answers
383 views

Installing TauDEM in Linux

I would like to install a version of TauDEM above 5.3 (current version is 5.3.8) in Linux Ubuntu 16.04. Installation instructions that I have managed to find online are here, here and here. And the ...
1
vote
0answers
242 views

QGIS with QTCreator windows [duplicate]

Is it possible to work on QGIS with QTCreator since most of the build documentation is assuming Linux environment and I have to use windows 7? all of the old posts in this forum didn't solve this ...
3
votes
1answer
421 views

Installing QGIS on Fedora?

Having problems installing QGIS 2.18 on Fedora 27. Used Copr repo but QGIS simply won't fire up when i try to launch it. Installation seems to go ok without any errors. Anyone else having issues?
1
vote
0answers
42 views

GRASS in Ubuntu, python/gui error

Im new to Linux, installed grass from the Ubuntu software centre. When I try to run it I get an error message saying there's an error with wxpython and to install grass gui. I have wxpython3, and ...
2
votes
1answer
134 views

QGIS in Qt Widgets (Cross Platform Application) [closed]

I am currently developing a widget Application in Qt, and I need to use GIS in this software. Naturally I first found the ArcGIS API for Qt, but like ArcGIS, it only runs on Windows and Linux, and ...
1
vote
0answers
158 views

Python plugins don't work on QGIS 2.14 for Scientific Linux 7

I'm on Scientific Linux 7 and have been trying to install QGIS. According to the instructions, I need to sudo wget fedora.vitu.ch/EL/qgis.repo -P /etc/yum.repos.d/ sudo rpm --import http://fedora....
2
votes
1answer
1k views

How do you configure a connection to MS SQL Server from QGIS 2.18 on Linux?

I am attempting to connect to an MS SQL Server Database from QGIS 2.18 on running on Ubuntu 16.04. I receive this error when clicking on the "List Databases". The login is a SQL Server login (not an ...
1
vote
1answer
182 views

NOAA vdatum GDAL Variable Paths for Linux Ubuntu

I want to do vertical datum conversions on geotiffs using NOAA vdatum The conversion status menu shows no progress and no conversion happens. I see that Microsoft Windows needs GDAL environmental ...
2
votes
2answers
501 views

Handle two versions of GDAL

I want to use two different GDAL versions on my Ubuntu 16.04. I installed GDAL via the UbuntuGIS ppa and via anaconda. My GDAL for python works fine, but when I want to use gdal_translate via the ...
3
votes
2answers
485 views

Can not install packages from UbuntuGIS

I recently changed my OS to Xubuntu 16.04. Now i try to install GDAL to use it via shell and QGIS. I followed the steps from the official UbuntuGIS website (https://launchpad.net/~ubuntugis/+archive/...
4
votes
1answer
286 views

Is there any existing postgis package for Ubuntu 16.04 (xenial) compiled against GDAL 2.0+?

I stumbled upon this error while using QGIS (2.18.13) to display a PostGIS raster and read in comment #14 on the same issue, that it is working when using a newer GDAL version. I have GDAL 1.11.3 ...
12
votes
2answers
282 views

Aggregate Lines Based on Distance between Segments

I have a VectorTile basemap that I am optimizing, (working on reducing the size of individual tiles), the major chunk of tile size is road data (geometry and attributes). I am working on simplifying ...
1
vote
0answers
359 views

Building QGIS >= 2.18.12 on Linux Mint 18.2 Sonya - with Oracle provider

I need to use QGIS desktop, on a Linux box, to work with Oracle spatial. The past 2-3 QGIS versions (at least) for Windows came out of the box with Oracle support - unfortunately, this is not the case ...